package com.mortals.xhx.daemon.demo;
import com.mortals.framework.model.BaseEntityStr;

/**
 * 实体对象
 *
 * @author zxfei
 * @date 2021-09-30
 */

public class DemoEntity extends BaseEntityStr {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private String fieldOne;
    /**
     *
     */
    private Long fieldTwo;


    public DemoEntity(){}
    /**
     * 获取
     * @return String
     */
    public String getFieldOne(){
        return fieldOne;
    }
    /**
     * 设置
     * @param fieldOne
     */
    public void setFieldOne(String fieldOne){
        this.fieldOne = fieldOne;
    }
    /**
     * 获取
     * @return Long
     */
    public Long getFieldTwo(){
        return fieldTwo;
    }
    /**
     * 设置
     * @param fieldTwo
     */
    public void setFieldTwo(Long fieldTwo){
        this.fieldTwo = fieldTwo;
    }



    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DemoEntity) {
            DemoEntity tmp = (DemoEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",fieldOne:").append(getFieldOne());
        sb.append(",fieldTwo:").append(getFieldTwo());
        return sb.toString();
    }

    public void initAttrValue(){
        this.fieldOne = null;
        this.fieldTwo = null;
    }
}