package ${packageName}.${businessName}.web;
<#if table.tplCategory=="crud" >
    <#assign Controller = "BaseCRUDJsonMappingController">
<#elseif table.tplCategory=="tree">
    <#assign Controller = "BaseTreeCRUDJsonMappingController">
<#else>
    <#assign Controller = "BaseCRUDJsonMappingController">
</#if>
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.${Controller};
import com.mortals.framework.common.IBaseEnum;
import com.mortals.framework.common.code.YesNo;
import ${packageName}.${businessName}.model.${ClassName}Entity;
import ${packageName}.${businessName}.service.${ClassName}Service;


/**
* ${ClassName}Controller
*
* ${functionName} 控制器
*
* @author ${author}
* @date ${datetime}
*/
@RestController
@RequestMapping("${RequestMapping}")
public class ${ClassName}Controller extends ${Controller}<${ClassName}Service,${ClassName}Form,${ClassName}Entity,Long> {

    public ${ClassName}Controller(){
        super.setFormClass(${ClassName}Form.class);RequestMapping
        super.setModuleDesc( "${functionName}");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, ${ClassName}Form form, Map<String, Object> model, Context context) {
        this.addDict(model, "status", IBaseEnum.getEnumMap(YesNo.class));
        super.init(request, response, form, model, context);
    }


}